
package de.ivu.elect.presentation.gebietsbaum.menu;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

import de.ivu.elect.business.wahl.boundary.WahlSessionSelect;
import de.ivu.elect.business.wahl.entity.WahlOderWahltermin;

@Specializes
public class CoreGebietCreateMenuItemEntry extends GebietCreateMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient WahlSessionSelect wahlSelect;

  public CoreGebietCreateMenuItemEntry() {
    super();
  }

  @Override
  protected boolean isWahlOderWahlterminSelected() {
    return wahlSelect.isSelected();
  }

  @Override
  protected WahlOderWahltermin getWahlOderWahltermin() {
    return wahlSelect.getEntity();
  }
}
